email.message.list
curl --request POST \
--url https://platform.trylath.com/email/message/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"broadcastId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"to": "jsmith@example.com",
"template": "<string>",
"limit": 50,
"before": "2023-11-07T05:31:56Z"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
broadcastId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contactId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
to: 'jsmith@example.com',
template: '<string>',
limit: 50,
before: '2023-11-07T05:31:56Z'
})
};
fetch('https://platform.trylath.com/email/message/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://platform.trylath.com/email/message/list"
payload = {
"broadcastId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"to": "jsmith@example.com",
"template": "<string>",
"limit": 50,
"before": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.trylath.com/email/message/list"
payload := strings.NewReader("{\n \"broadcastId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contactId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"to\": \"jsmith@example.com\",\n \"template\": \"<string>\",\n \"limit\": 50,\n \"before\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"activityId": "<string>",
"result": {
"messages": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel": "<string>",
"to": "<string>",
"from": "<string>",
"replyTo": "<string>",
"subject": "<string>",
"template": "<string>",
"templateVersion": 0,
"templateLocale": "<string>",
"status": "<string>",
"error": "<string>",
"metadata": {},
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendorRef": "<string>",
"fromName": "<string>",
"deliveredAt": "2023-11-07T05:31:56Z",
"vendorStatus": "<string>",
"bounceKind": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextBefore": "2023-11-07T05:31:56Z"
}
}email.message.list
Lists email messages newest first, optionally filtered by status, recipient, template, broadcast or contact. contactId matches mail linked to that contact and mail merely addressed to their email, which is how a message sent before the contact existed is still theirs. Bodies are not included; use email.message.get.
POST
/
email
/
message
/
list
email.message.list
curl --request POST \
--url https://platform.trylath.com/email/message/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"broadcastId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"to": "jsmith@example.com",
"template": "<string>",
"limit": 50,
"before": "2023-11-07T05:31:56Z"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
broadcastId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contactId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
to: 'jsmith@example.com',
template: '<string>',
limit: 50,
before: '2023-11-07T05:31:56Z'
})
};
fetch('https://platform.trylath.com/email/message/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://platform.trylath.com/email/message/list"
payload = {
"broadcastId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"to": "jsmith@example.com",
"template": "<string>",
"limit": 50,
"before": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.trylath.com/email/message/list"
payload := strings.NewReader("{\n \"broadcastId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contactId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"to\": \"jsmith@example.com\",\n \"template\": \"<string>\",\n \"limit\": 50,\n \"before\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"activityId": "<string>",
"result": {
"messages": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel": "<string>",
"to": "<string>",
"from": "<string>",
"replyTo": "<string>",
"subject": "<string>",
"template": "<string>",
"templateVersion": 0,
"templateLocale": "<string>",
"status": "<string>",
"error": "<string>",
"metadata": {},
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendorRef": "<string>",
"fromName": "<string>",
"deliveredAt": "2023-11-07T05:31:56Z",
"vendorStatus": "<string>",
"bounceKind": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextBefore": "2023-11-07T05:31:56Z"
}
}Authorizations
A Lath API key: lath_live_sk… or lath_test_sk… on a server, lath_live_pk… or lath_test_pk… in a browser.
Body
application/json
Available options:
queued, sent, delivered, opened, clicked, bounced, complained, failed, suppressed, cancelled Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Maximum string length:
120Required range:
1 <= x <= 200Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Last modified on September 13, 2026
Was this page helpful?

